Subject: bug#26202: closed (Re: bug#26202: Guix in foreign distributions: setting XDG_DATA_DIRS causes user session to not start)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Oct 2022 19:47:02 +0000

Your bug report

#26202: Guix in foreign distributions: setting XDG_DATA_DIRS causes user session to not start

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26202: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26202
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26202: Guix in foreign distributions: setting XDG_DATA_DIRS causes user session to not start
From: Maxim Cournoyer <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked], Nicolas Goaziou <[email-masked]>, [email-masked]
Date: Fri, 07 Oct 2022 15:46:20 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> writes:

> Hi Nicolas,
>
> On Thu, 14 May 2020 at 19:32, Nicolas Goaziou <[email-masked]> wrote:
>
>> Interesting.
>
> The Gnome that I use for testing is the Gnome from Debian.  The
> initial bug report was about Trisquel/Ubuntu.
>
> - In this case, I'm using Trisquel 7.
> - `gnome-session` command is provided by the
>   "gnome-session-bin", version 3.9.90-0ubuntu12.1+7.0trisquel2.
> - Display manager is lightdm (Trisquel 7's default), version
>   1.10.6-0ubuntu1+7.0trisquel1.

I'm confident that this got resolved with
30810aff713149d53cb25f36ae6d721ec66385da and
7ff169d04f52b15393b33a97959e2cd6a5957e26 of guix-install.sh.

Closing!

-- 
Thanks,
Maxim

Subject: Guix in foreign distributions: setting XDG_DATA_DIRS causes user session to not start
From: Adonay Felipe Nogueira <[email-masked]>
To: Relatórios de falhas do Guix e GuixSD <[email-masked]>
Date: Mon, 20 Mar 2017 23:24:13 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

* Steps to reproduce

1. Edit "~/.profile" and add:

export GUIX_PROFILE="${HOME}/.guix-profile"
export XDG_DATA_DIRS="${GUIX_PROFILE}/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"

2. Log out and try to log in again.

* Current behavior

The *host's* GNOME Flashback session (gnome-session
--session=gnome-flashback) attempts to start, however, it's aborted
shortly after successful log-in.

"~/.xsession-errors" file shows something similar to:

# Begin of file
gnome-session: GLib-GIO-ERROR: Settings schema
'org.gnome.SessionManager' is not installed.

aborting...
# End of file

* Additional information

- In this case, I'm using Trisquel 7.
- `gnome-session` command is provided by the
  "gnome-session-bin", version 3.9.90-0ubuntu12.1+7.0trisquel2.
- Display manager is lightdm (Trisquel 7's default), version
  1.10.6-0ubuntu1+7.0trisquel1.
- Being a "~/.profile" setting, the problem is not found unless the user
- logs-out and back in.

* Personal comment

This might become a problem if Guix starts suggesting people to
customize $XDG_DATA_DIRS in their "~/.profile".

Respectfully, Adonay.
-- 
- [[https://libreplanet.org/wiki/User:Adfeno]]
- Palestrante e consultor sobre /software/ livre (não confundir com
  gratis).
- "WhatsApp"? Ele não é livre, por isso não uso. Iguais a ele prefiro
  Ring, ou Tox. Quer outras formas de contato? Adicione o vCard que
  está no endereço acima aos teus contatos.
- Pretende me enviar arquivos .doc, .ppt, .cdr, ou .mp3? OK, eu
  aceito, mas não repasso. Entrego apenas em formatos favoráveis ao
  /software/ livre. Favor entrar em contato em caso de dúvida.
- "People said I should accept the world. Bullshit! I don't accept the
  world."
                                                 --- Richard Stallman